package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * RetryAddDeviceRespOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class RetryAddDeviceRespOpenApiVo   {
  @JsonProperty("preConfigRetryType")
  private Integer preConfigRetryType;

  public RetryAddDeviceRespOpenApiVo preConfigRetryType(Integer preConfigRetryType) {
    this.preConfigRetryType = preConfigRetryType;
    return this;
  }

  /**
   * 1: need username and pwd; 2: don't need need username and pwd
   * @return preConfigRetryType
  */
  @ApiModelProperty(value = "1: need username and pwd; 2: don't need need username and pwd")


  public Integer getPreConfigRetryType() {
    return preConfigRetryType;
  }

  public void setPreConfigRetryType(Integer preConfigRetryType) {
    this.preConfigRetryType = preConfigRetryType;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    RetryAddDeviceRespOpenApiVo retryAddDeviceRespOpenApiVo = (RetryAddDeviceRespOpenApiVo) o;
    return Objects.equals(this.preConfigRetryType, retryAddDeviceRespOpenApiVo.preConfigRetryType);
  }

  @Override
  public int hashCode() {
    return Objects.hash(preConfigRetryType);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class RetryAddDeviceRespOpenApiVo {\n");
    
    sb.append("    preConfigRetryType: ").append(toIndentedString(preConfigRetryType)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

